### Function

# GimpUi prop_check_button_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_check_button_new (
      GObject* config,
      const gchar* property_name,
      const gchar* label
    )

#### Description [src]

Creates a `GtkCheckButton` that displays and sets the specified boolean property. If `label` is `NULL`, the `property_name`‘s nick will be used as label of the returned button.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of boolean property controlled by checkbutton.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Label to give checkbutton (including mnemonic).

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The newly created `GtkCheckButton` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.